* {
    box-sizing: border-box;
}


@font-face {
    font-family: "Inter";
    font-style: normal;
    font-weight: 300;
    font-display: swap;
    src: url("/assets/fonts/Inter-4.1/web/Inter-Light.woff2") format("woff2");
}

@font-face {
    font-family: "Inter";
    font-style: normal;
    font-weight: 400;
    font-display: swap;
    src: url("/assets/fonts/Inter-4.1/web/Inter-Regular.woff2") format("woff2");
}

@font-face {
    font-family: "Inter";
    font-style: italic;
    font-weight: 400;
    font-display: swap;
    src: url("/assets/fonts/Inter-4.1/web/Inter-Italic.woff2") format("woff2");
}

@font-face {
    font-family: "Inter";
    font-style: normal;
    font-weight: 500;
    font-display: swap;
    src: url("/assets/fonts/Inter-4.1/web/Inter-Medium.woff2") format("woff2");
}

@font-face {
    font-family: "Inter";
    font-style: italic;
    font-weight: 500;
    font-display: swap;
    src: url("/assets/fonts/Inter-4.1/web/Inter-MediumItalic.woff2") format("woff2");
}

@font-face {
    font-family: "Inter";
    font-style: normal;
    font-weight: 600;
    font-display: swap;
    src: url("/assets/fonts/Inter-4.1/web/Inter-SemiBold.woff2") format("woff2");
}

@font-face {
    font-family: "Inter";
    font-style: italic;
    font-weight: 600;
    font-display: swap;
    src: url("/assets/fonts/Inter-4.1/web/Inter-SemiBoldItalic.woff2") format("woff2");
}

@font-face {
    font-family: "InterDisplay";
    font-style: normal;
    font-weight: 400;
    font-display: swap;
    src: url("/assets/fonts/Inter-4.1/web/InterDisplay-Regular.woff2") format("woff2");
}

@font-face {
    font-family: "InterDisplay";
    font-style: italic;
    font-weight: 400;
    font-display: swap;
    src: url("/assets/fonts/Inter-4.1/web/InterDisplay-Italic.woff2") format("woff2");
}

@font-face {
    font-family: "InterDisplay";
    font-style: normal;
    font-weight: 500;
    font-display: swap;
    src: url("/assets/fonts/Inter-4.1/web/InterDisplay-Medium.woff2") format("woff2");
}

@font-face {
    font-family: "InterDisplay";
    font-style: italic;
    font-weight: 500;
    font-display: swap;
    src: url("/assets/fonts/Inter-4.1/web/InterDisplay-MediumItalic.woff2") format("woff2");
}

@font-face {
    font-family: "InterDisplay";
    font-style: normal;
    font-weight: 600;
    font-display: swap;
    src: url("/assets/fonts/Inter-4.1/web/InterDisplay-SemiBold.woff2") format("woff2");
}

@font-face {
    font-family: "InterDisplay";
    font-style: italic;
    font-weight: 600;
    font-display: swap;
    src: url("/assets/fonts/Inter-4.1/web/InterDisplay-SemiBoldItalic.woff2") format("woff2");
}



html,
body {
    margin: 0;
    padding: 0;
    font-family: "Inter", sans-serif;
    overflow: hidden;
}

main {
    display: flex;
    flex-direction: row;
    height: 100vh;
    width: 100vw;
    --mid-w: 18vw;

}

.maincol {
    height: 100vh;
    overflow-y: scroll;
    overflow-x: hidden;
}

.left-col {
    flex: 1 0 12vw;
    min-width: 150px;
    max-width: 230px;
    overflow: hidden;
}

.mid-col {
    flex: 0 0 var(--mid-w);
    border-left: 2px solid #000;
    scrollbar-width: none;
}

/* Hide scrollbar for Chrome, Safari and Opera */
.mid-col::-webkit-scrollbar {
    display: none;
}



.right-col {
    flex: 1;
    min-width: 0;
}

.col-divider {
    cursor: col-resize;
    position: relative;
    touch-action: none;
    flex: 0 0 2px;
    background-color: black;
}


.col-divider-handle {
    position: absolute;
    top: 90%;
    left: -2px;
    width: 6px;
    height: 20px;
    border-width: 0 2px;
    border-style: solid;
    border-color: black;
    background-color: white;

}



/* glitch */


body.glitch main {
    filter: url(#wave);
}

#sitetitle {
    filter: url(#sitetitle-wave);
}



/* is-dragging */
body.is-dragging {
    cursor: col-resize;
    user-select: none;
}

body.is-dragging *::selection {
    /* safari-bugfix */
    background: transparent;
}

/* site title and hello */

h1 {
    font-family: "InterDisplay", sans-serif;
    font-weight: 500;
    margin: 0;
    font-size: 6em;
    letter-spacing: -.025em;
    line-height: 1;
    transition: all 0.2s ease;
}

h1 a {
    text-decoration: none;
    color: black;
}

#sitetitle {
    position: fixed;
    top: 10px;
    left: 18px;
    z-index: 99;
}

#sitetitle.shrinked {
    max-width: 190px;
}

#sitetitle.shrinked h1 {
    font-size: 2.75em;
}

section:first-child {
    border-top: none;
    min-height: 0;
    margin-top: 8em;
}


/* nav */

nav.mainnav {
    padding: 8em 1em 2em 1.25em;
    height: 100vh;
    width: 100%;
    display: flex;
    flex-direction: column;
    gap: 2rem;


}

nav ul {
    list-style: none;
    padding: 0;
    margin: 0;
    display: flex;
    flex-direction: column;
    gap: 10px;
    font-size: .8rem;
}

nav a {
    text-decoration: none;
    color: black;
}

nav li {
    width: fit-content;
}

nav.categories {
    position: fixed;
    right: 3.25em;
    top: 2em;
    width: fit-content;
    height: fit-content;
}

nav.categories ul {
    gap: .3em;
    flex-direction: column;
    flex-wrap: wrap;
}

nav.categories li {
    cursor: pointer;
    border-radius: 20px;
    border: black 1px solid;
    padding: 2px 10px;
    display: inline-block;
    flex: 0 1 auto;
    width: fit-content;
    font-size: .7rem;
    background-color: rgba(255, 255, 255, 0.5);
    backdrop-filter: blur(1.5px);
}

nav.categories li:hover,
nav.categories li.active {
    background-color: black;
    color: white;
}

ul.projects {
    justify-content: flex-end;
    /* flex: 0 0 80%;*/
    flex-grow: 0;
    flex-shrink: 0;
    height: calc(100vh - 15rem);
    /* overflow: hidden; */
}

ul.legals {
    flex-grow: 0;
    flex-shrink: 0;
    height: 2rem;

}

ul.projects li {
    flex-shrink: 0;
    transition: margin-bottom 0.6s ease;
}



.projects li:hover,
.legals li:hover {
    text-decoration: underline;
    text-decoration-thickness: 1px;
}


/* text */

p {
    margin: 0 0 1em 0;
    line-height: 1.35;
    hyphens: auto;
}

h2,
h3 {
    margin: 0;
}

h2 {
    font-weight: 600;
}

h3 {
    font-weight: 400;
}


u {
    text-decoration-thickness: 1.5px;
    text-decoration-skip-ink: none;
}


.right-col section:not(.hello) div:first-child {
    margin-top: .5em;
}

.right-col a {
    color: black;
    text-decoration-thickness: 1.5px;
    text-decoration-skip-ink: none;
    /* text-decoration: none;
    border: 1px solid black; */
    /* border-radius: 15px;
    padding: 1px 10px; */
}


/* col content / sections */

section {
    display: flex;
    flex-direction: column;
    border-top: 2px solid #000;
    padding: 2em 1em 3em 1em;
    gap: 2em;
    min-height: 100vh;
}



/* images */

figure {
    margin: 0;
}

figure img,
figure video,
figure audio {
    width: 100%;
    /* height: auto; */
    display: block;
}

figure iframe {
    width: 100%;
    aspect-ratio: 16/9;
    border: none;

}

figcaption {
    font-size: .9em;
    margin-top: .5em;
    display: flex;
    justify-content: space-between;
}

.caption {
    flex: 0 1 70%
}

.copyright {
    /* color: #555; */
    text-align: right;
}



/* legals */

body.legal section:first-child {
    margin-top: 0;
}

body.legal .left-col {
    flex-grow: 0;
}

body.legal .mid-col {
    font-size: .75rem;
}


#close {
    width: .75em;
    height: .75em;
    font-size: 4em;
    line-height: 0;
    display: flex;
    justify-content: center;
    align-items: center;
    position: fixed;
    right: 25px;
    top: 15px;
    font-weight: 300;
}

#close a {
    text-decoration: none;
    color: black;
}